Межсайтовый скриптинг и SQL-инъекция в NMDeluxe

Дата публикации:
10.03.2006
Всего просмотров:
1472
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-1107
CVE-2006-1108
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
NMDeluxe 1.x
Уязвимые версии: NMDeluxe 1.0.0 и более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" сценария "news.php". Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные SQL команды в базе данных приложения. Удачная эксплуатация уязвимости возможна при выключенной опции "magic_quotes_gpc".

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "nick" в сценарии "news.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценарий в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: nmdeluxe.com

Решение: Установите последнюю версию (1.0.1) с сайта производителя.

или введите имя

CAPTCHA